GET
/v1/users/{id}Get a user by ID
Retrieves a user by their unique identifier. Supply id as a 21-character alphanumeric string to identify the user.
idstringrequired
The user's unique identifier, consisting of exactly 21 alphanumeric characters.
200Returns the user object, including their identifier, email, name, status, platform role, timestamps, and badges.
badgesarray<object>required
createdstringrequired
emailstringrequired
externalIdstringoptional
firstNamestringrequired
idstringrequired
imageUrlstringoptional
lastActiveDatestringoptional
lastNamestringrequired
platformIdstringoptional
platformRolestringrequired
statusstringrequired
updatedstringrequired
Error handling
The id path parameter must be exactly 21 alphanumeric characters and identify a user.